Subject: Re: bug#68985: [PATCH v3] Add option gnus-mode-line-logo

From: Eric Abrahamsen <[email-masked]>
Date: Fri, 09 Feb 2024 20:20:16 -0800

Mekeor Melire <[email-masked]> writes:

> 2024-02-09 15:18 [email-masked]:
>
>> Looks good! You've tested this, I assume?
>
> Yes.
>
> - Tested the customize interface.
> - Setting to nil works as documented.
> - Setting to another image spec works as documented.
> - As documented, in non-graphical displays (emacs -nw), no logo is
>   displayed, just like before.
> - There are no byte-compilation warnings.
> - There are no new checkdoc warnings.
>
>> I think 'gnus-visual is the right group.
>
> Great!
>
>> Custom types are always a little frustrating, but this might work
>> better:
>>
>> '(choice
>>   (repeat :tag "Image specs" (plist))
>>   (const :tag "No logo" nil))
>
> This is great, too. Find attached another version of the patch which
> uses this custom-type, repeat-(plist).

Looks good! Thanks very much for the work. I've put the patch in. I'll
close the bug but it also occurred to me we didn't put anything in the
manual. I'll take a look at that and maybe follow up with another patch
later.

Thanks,
Eric